Open Lighting Architecture: ola::web::ArrayOfSchemaContext Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::web::ArrayOfSchemaContext Class Reference

## Detailed Description

Parse the array of objects in an 'items' property.

Inheritance diagram for ola::web::ArrayOfSchemaContext:

## Public Member Functions
| ArrayOfSchemaContext (SchemaDefinitions *definitions)
void | GetValidators (SchemaErrorLogger *logger, ValidatorInterface::ValidatorList *validators)
| Populate a vector with validators for the elements in 'items'.
SchemaParseContextInterface * | OpenObject (SchemaErrorLogger *logger)
Public Member Functions inherited from ola::web::StrictTypedParseContext
void | String (SchemaErrorLogger *logger, const std::string &value)
void | Number (SchemaErrorLogger *logger, uint32_t value)
void | Number (SchemaErrorLogger *logger, int32_t value)
void | Number (SchemaErrorLogger *logger, uint64_t value)
void | Number (SchemaErrorLogger *logger, int64_t value)
void | Number (SchemaErrorLogger *logger, double value)
void | Bool (SchemaErrorLogger *logger, bool value)
void | Null (SchemaErrorLogger *logger)
SchemaParseContextInterface * | OpenArray (SchemaErrorLogger *logger)
void | CloseArray (SchemaErrorLogger *logger)
SchemaParseContextInterface * | OpenObject (SchemaErrorLogger *logger)
void | CloseObject (SchemaErrorLogger *logger)
Public Member Functions inherited from ola::web::ObjectParseContext
void | ObjectKey (SchemaErrorLogger *, const std::string &keyword)
| Called when we encounter a property.

## Additional Inherited Members
Protected Member Functions inherited from ola::web::ObjectParseContext
std::string | TakeKeyword ()
const std::string & | Keyword () const

## Member Function Documentation

## ◆ GetValidators()

void ola::web::ArrayOfSchemaContext::GetValidators | ( | SchemaErrorLogger * | logger,
|  | ValidatorInterface::ValidatorList * | validators )

Populate a vector with validators for the elements in 'items'.

Parameters

  | logger | The logger to use.
  [out] | validators | A vector fill with new validators. Ownership of the validators is transferred to the caller.

## ◆ OpenObject()

SchemaParseContextInterface * ola::web::ArrayOfSchemaContext::OpenObject | ( | SchemaErrorLogger * | logger | ) |
| virtual

Implements ola::web::SchemaParseContextInterface.

The documentation for this class was generated from the following files:

- common/web/SchemaParseContext.h
- common/web/SchemaParseContext.cpp